#
# Conditional build:
%bcond_without	tests		# build without tests

%define	basever	4.9
%define	postver	0
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}.%{postver}
Release:	1
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	https://www.kernel.org/pub/linux/kernel/v4.x/linux-%{basever}.tar.xz
# Source0-md5:	0a68ef3615c64bd5ee54a3320e46667d
%if "%{postver}" > "0"
Source1:	https://www.kernel.org/pub/linux/kernel/v4.x/patch-%{version}.xz
# Source1-md5:	137460a1e32335e2eedc61fcfc2643fa
%endif
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-pom-set.patch
Patch5:		%{name}-atm-vbr.patch
Patch6:		vserver.patch
AutoReqProv:	no
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.568
Requires(pretrans):	coreutils
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc ppc64
%define	target_arch powerpc
%else
%ifarch x32
%define	target_arch x86_64
%else
%define	target_arch %{_target_base_arch}
%endif
%endif

# no objects to extract debug info from
%define		_enable_debug_packages	0

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -q -c
cd linux-%{basever}
%if "%{postver}" > "0"
bzip2 -dc %{SOURCE1} | patch -p1
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}

%if %{with tests}
%{__make} -C linux-%{basever} headers_check \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}
%endif

# provided by glibc-headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/scsi

# currently provided by libdrm-devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/drm

# trash
find $RPM_BUILD_ROOT%{_includedir} -type f \
	-name '..check.cmd' -o -name '.check' -o \
	-name '..install.cmd' -o -name '.install' \
| xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound

%files
%defattr(644,root,root,755)
%{_includedir}/asm
%{_includedir}/asm-generic
%{_includedir}/linux
%{_includedir}/misc
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video
%{_includedir}/xen
%changelog
* Thu Dec 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/linux-libc-headers.git;a=log;h=master

* Mon Dec 12 2016 Jakub Bogusz <qboosh@pld-linux.org> b5ea829
- updated to 4.9[.0]

* Thu Oct 06 2016 Jakub Bogusz <qboosh@pld-linux.org> bd80ce7
- updated to 4.8[.0]

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> ba47082
- updated to 4.7

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 8bd885a
- updated to 4.6[.0]
- removed obsolete v2-uapi-glibc-compat-fix-compile-errors-when-glibc-net-if.h-included-before-linux-if.h patch

* Thu May 12 2016 Jan Rękorajski <baggins@pld-linux.org> 0a32149
- up to 4.5.4
- added upstream fix for linux/if.h and net/if.h conflict

* Tue Mar 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 58a00eb
- updated to 4.5[.0]

* Mon Jan 11 2016 Jakub Bogusz <qboosh@pld-linux.org> fe0fc95
- updated to 4.4[.0]

* Tue Nov 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 3968339
- updated to 4.3[.0]

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> c74b759
- updated to 4.2[.0]

* Tue Jun 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 9613f4c
- updated to 4.1[.0]

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 26e71b4
- updated to 4.0[.0]

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e731d46
- x32 rebuild
- release 2 (by relup.sh)

* Thu Feb 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 416c7d5
- up to 3.19

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 69cb113
- x32 is x86_64 as kernel is concerned

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 28af52e
- updated to 3.18.1; new directory: misc (with <misc/cxl.h>)

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 9ca8513
- updated to 3.17[.0]

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 5c9ec9e
- updated to 3.16.1

* Sun Jul 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 569d233
- up to 3.15.6

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> e1da4ec
- updated to 3.15[.0]

* Tue Jun 10 2014 Elan Ruusamäe <glen@delfi.ee> 70b2d04
- pretrans needs coreutils

